
    // Array to store product details fetched from each product page
        var products = [];
    // Function to add the selected product to the cart
    function addToCart() {
        // Get selected size, color, quantity, and other product details
        var selectedSize = document.getElementById("sizeSelect");
		if (selectedSize != null){ selectedSize = selectedSize.value};
        var selectedColor = document.getElementById("colorSelect").value;
        var quantity = parseInt(document.getElementById("quantityInput").value);
        var productName = document.getElementById("name").innerText; //  A dynamically get the product name
		var price = document.getElementById("price").textContent;
		const extractedPrice = parseFloat(priceText.match(/\d+\.\d{2}/)[0]); //just take the number turned in float
		

        // Check if size, color, and quantity are selected
        if (selectedSize === "Select Size" || selectedColor === "Select Color" || isNaN(quantity) || quantity <= 0) {
            alert("Please select size, color, and quantity before adding to cart.");
            return;
        }

        // Construct the message to display when the item is added to the cart
        var message = '${quantity} ${productName}(s) in ${selectedSize}, ${selectedColor} added to cart. ';

        // Display the confirmation message
        alert(message);

        //  add the selected product to the shopping cart
		  // Add the product details to the products array
                    products.push({ name: productName, price:extractedPrice, quantity:quantity });
        //  just want to display the confirmation message
    }
        //function to update price from specific product price format
		function updatePrice(){
			var selectNewPrice = document.getElementById("sizeSelect").querySelector("option:checked").getAttribute("data-price");
			var price = document.getElementById("price");
			price.textContent = "$" + selectNewPrice;
			
		}
		
        // Function to fetch product details from a specific product page
        function fetchProductDetails(productPageURL) {
            // Make a fetch request to get the product details
            fetch(productPageURL)
                .then(response => response.text())
                .then(data => {
                    // Extract product details from the fetched HTML
                    var parser = new DOMParser();
                    var htmlDocument = parser.parseFromString(data, 'text/html');

                    // Extract product name, price, and other details from the HTML document
                    var productName = htmlDocument.querySelector('.product-details h2').innerText;
                    var productPrice = parseFloat(htmlDocument.getElementById('price').innerText);

                    // Add the product details to the products array
                    products.push({ name: productName, price: productPrice });

                    // Call a function to update the cart HTML with the fetched product details
                    updateCartHTML();
                })
                .catch(error => console.error('Error fetching product details:', error));
        }

        // Function to update the cart HTML with the fetched product details
        function updateCartHTML() {
            // Select the table body where the product details will be displayed
            var cartTableBody = document.querySelector('.cart-page table tbody');

            // Clear the existing content of the table body
            cartTableBody.innerHTML = '';

            // Loop through the products array and generate HTML for each product
            products.forEach(product => {
                // Create HTML elements for product details
                var tr = document.createElement('tr');
                tr.innerHTML =`
                    <td>
                        <div class="cart-info">
                            <img src="../images/${product.image}" width="20%">
                            <div>
                                <p>${product.name}</p>
                                <small>Price: $${product.price.toFixed(2)}</small>
                                <br>
                                <a href="#">Remove</a>
                            </div>
                        </div>
                    </td>
                    <td><input type="number" value="${product.quantity}"></td>
                    <td>$${product.price.toFixed(2)}</td>
                `;

                // Append the newly created row to the table body
                cartTableBody.appendChild(tr);
            });

            // Calculate and display the total price
            var totalPrice = products.reduce((acc, curr) => acc + curr.price, 0);
            document.querySelector('.total-price td:nth-child(2)').textContent = '$' + totalPrice.toFixed(2);
        }

        // Fetch product details from each product page
			//fetchProductDetails('products-details.html');
			//fetchProductDetails('products2-details.html');
			//fetchProductDetails('products3-details.html');
			//fetchProductDetails('products4-details.html');
			//fetchProductDetails('products5-detailS.html');
